package com.hi.music.player.api;

import com.hi.music.player.javabean.response.ResponsePlayListInfo;
import com.hi.music.player.javabean.response.child.ResponseCategory;
import com.hi.music.player.javabean.response.child.ResponseSingle;

public interface HomeItemClickListener {


    //首页点击了单曲
    default void onClickItemSinger(ResponseSingle data) {

    }


    //首页点击了分类合集
   default void onClickItemCategory(ResponseCategory data) {

   }


    //分类合集点击了某一首歌曲
    default void onClickItemCategoryList(ResponsePlayListInfo data,int musicIndex) {

    }


    /**
     * 点击了搜索建议
     * @param isSearch  true 直接搜索 false  输入搜索建议文字
     * @param data
     */
    default void onClickItemSuggestion(boolean isSearch,String data) {

    }

}
